/* ---GLOBAL STYLES--- */

* {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    box-sizing: border-box;
    word-break: break-word;
    scroll-behavior: smooth;
}

:root {
    --cream: #fefae0;
    --yellow: #f4e922;
    --blue: #4394d0;
    --red: #e50a26;
    --brown: #4b2611;
    --gray: #202020;
}

body {
    background: white;
}

body.noscroll {
    overflow: hidden;
}

img,
svg {
    width: 100%;
}

a {
    cursor: pointer;
    width: fit-content;
    display: inline-block;
    text-decoration: none;
    transition: .25s;
}

button {
    cursor: pointer;
}

h1,
h2 {
    color: var(--brown);
    font-size: 2.5vw;
}

p,
li {
    color: var(--gray);
    font-size: 1vw;
    font-weight: 400;
}

ul {
    color: var(--gray);
    list-style-position: inside;
}

.absolute_media {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.main_btn {
    color: white;
    font-size: .9vw;
    text-align: center;
    padding: 1vw 2vw;
    border: .1vw solid var(--red);
    background: var(--red);
    transition: .25s;
}

.main_btn:hover {
    color: white;
    border: .1vw solid white;
    background: transparent;
}

@media (max-width: 996px) {
    h1,
    h2 {
        font-size: 8vw;
    }
    p,
    li {
        font-size: 3vw;
    }
    .main_btn {
        font-size: 3vw;
        padding: 3vw 6vw;
    }
}


/* ---HEADER STYLES--- */

header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
}

header .desktop_box .bar_box {
    display: flex;
    justify-content: space-between;
    padding: .5vw 5%;
    background: var(--red);
}

header .desktop_box .bar_box a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .25vw;
    color: white;
    font-size: .8vw;
}

header .desktop_box .bar_box a:hover {
    color: var(--yellow);
}

header .desktop_box .bar_box a i {
    transition: none;
}

header .desktop_box .networks_box {
    display: flex;
    gap: 1.5vw;
}

header .desktop_box .networks_box i {
    font-size: 1vw;
}

header .desktop_box .header_box {
    display: grid;
    grid-template-columns: 8% 69% 8% 15%;
    padding: 1% 5%;
    background: linear-gradient(to bottom, #00000090, #00000000);
}

header .desktop_box .logo_box {
    display: flex;
    justify-content: center;
    align-items: center;
}

header .desktop_box .logo_box img {
    width: 100%;
}

header .desktop_box .menu_box {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2vw;
}

header .desktop_box .menu_box a {
    position: relative;
    color: white;
    font-size: 1vw;
    font-weight: 500;
    transition: .25s;
}

header .desktop_box .menu_box a:hover,
header .desktop_box .menu_box .active {
    color: var(--yellow);
}

header .desktop_box .language_box {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1vw;
}

header .desktop_box .language_box a,
header .desktop_box .language_box span {
    color: white;
    font-size: 1vw;
}

header .desktop_box .language_box a:hover {
    color: var(--yellow);
}

header .desktop_box .buttons_box {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1vw;
}

header .mobile_box {
    display: none;
}

@media (max-width: 996px) {
    header .desktop_box {
        display: none;
    }
    header .mobile_box {
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 3%;
    }
    header .mobile_box>.logo_box {
        width: 30%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    header .mobile_box .toggle_box {
        display: flex;
        flex-direction: column;
        gap: 1.2vw;
        position: fixed;
        top: 10vw;
        right: 5vw;
        z-index: 2;
    }
    header .mobile_box .bar_item {
        width: 7vw;
        height: .6vw;
        background: var(--brown);
        transition: .5s;
    }
    header .active_sidebar .bar_item {
        width: 6vw;
        background: white;
    }
    header .active_sidebar .bar_item:nth-child(1) {
        transform: translate(0, 1.75vw) rotate(45deg)
    }
    header .active_sidebar .bar_item:nth-child(2) {
        opacity: 0;
    }
    header .active_sidebar .bar_item:nth-child(3) {
        transform: translate(0, -1.75vw) rotate(-45deg)
    }
    header .mobile_box .sidebar_box {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 10vw;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        padding: 8%;
        transform: translateX(100%);
        background: var(--brown);
        transition: .5s;
        z-index: 1;
    }
    header .active_sidebar .sidebar_box {
        transform: translateX(0);
    }
    header .mobile_box .sidebar_box .logo_box {
        width: 40%;
    }
    header .mobile_box .menu_box {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 5vw;
    }
    header .mobile_box .menu_box .active {
        color: var(--yellow);
    }
    header .mobile_box a {
        position: relative;
        color: white;
        font-size: 3.5vw;
        text-align: center;
    }
    header .mobile_box .language_box {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 3vw;
    }
    header .mobile_box .language_box a,
    header .mobile_box .language_box span {
        color: white;
        font-size: 3.5vw;
    }
    header .mobile_box .language_box a:hover,
    header .mobile_box .language_box span:hover {
        color: var(--yellow);
    }
    header .mobile_box .contact_box {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 5vw;
    }
    header .mobile_box .networks_box {
        display: flex;
        gap: 5vw;
        justify-content: center;
    }
    header .mobile_box .networks_box i {
        font-size: 6vw;
    }
}


/* ---FOOTER STYLES--- */

footer .footer_box {
    padding: 5% 10%;
    display: grid;
    grid-template-columns: 19% 31% 30% 20%;
}

footer .footer_column {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

footer .footer_column .logo_box {
    width: 60%;
}

footer .footer_column .networks_box {
    display: flex;
    gap: 1vw;
}

footer .footer_column .networks_box i {
    color: var(--gray);
    font-size: 1.25vw;
}

footer .footer_column .networks_box a:hover i {
    color: var(--red);
}

footer .footer_column .legal_box {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

footer .footer_column .legal_box a {
    color: var(--gray);
    font-size: .8vw;
}

footer .footer_column .legal_box a:hover {
    color: var(--red);
}

footer .footer_column h2 {
    color: var(--red);
    font-size: 1.75vw;
}

footer .footer_column a {
    color: var(--gray);
    font-size: 1vw;
}

footer .footer_column a:hover {
    color: var(--red);
}

footer .footer_column a i {
    transition: none;
}

footer .footer_bar {
    display: flex;
    justify-content: center;
    gap: 4vw;
    padding: .5vw;
    background: var(--red);
}

footer .footer_bar a {
    color: white;
    font-size: .8vw;
}

footer .footer_bar a:hover {
    color: var(--yellow);
}

@media (max-width: 996px) {
    footer .footer_box {
        padding: 10% 5%;
        grid-template-columns: 1fr;
        gap: 10vw;
    }
    footer .footer_column {
        align-items: center;
        gap: 5vw;
    }
    footer .footer_column .logo_box {
        width: 35%;
    }
    footer .footer_column .networks_box {
        gap: 5vw;
    }
    footer .footer_column .networks_box i {
        font-size: 5vw;
    }
    footer .footer_column .legal_box {
        align-items: center;
        gap: 3vw;
    }
    footer .footer_column .legal_box a {
        font-size: 3vw;
    }
    footer .footer_column h2 {
        font-size: 5vw;
    }
    footer .footer_column a,
    footer .footer_column p {
        font-size: 3vw;
        text-align: center;
    }
    footer .footer_bar {
        gap: 5vw;
        padding: 1vw;
    }
    footer .footer_bar a {
        font-size: 2.5vw;
    }
}